# __gnu_parallel::LoserTreeUnguarded< false, T, Comparator > Class Template Reference

Non-Stable implementation of unguarded LoserTree. More...

Inheritance diagram for __gnu_parallel::LoserTreeUnguarded< false, T, Comparator >:

List of all members.

## Public Member Functions

- void delete_min_insert (T key, bool)
- int get_min_source ()
- void init ()
- unsigned int init_winner (unsigned int root)
- void insert_start (const T &key, int source, bool)
- LoserTreeUnguarded (unsigned int _k, const T _sentinel, Comparator _comp=std::less< T >())

## Protected Attributes

- Comparator comp
- unsigned int ik
- unsigned int k
- Loser * losers
- unsigned int offset

## Detailed Description

### template<typename T, typename Comparator>
class __gnu_parallel::LoserTreeUnguarded< false, T, Comparator >

Non-Stable implementation of unguarded LoserTree.

Stable implementation is above.

Definition at line 699 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h